Bug 3771 - Некорректный алиас в конфигурационном файле
: Некорректный алиас в конфигурационном файле
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mod_fastcgi)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-03-02 13:28 by
Modified: 2012-03-16 13:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-02 13:28:26
По умолчанию файл конфигурации mod_fastcgi
(/etc/httpd/conf/addon-modules/mod_fastcgi.conf) содержит некорректный алиас.
---
Alias /fcgi-bin/ "/var/www/fcgi-bin"
---
Это приводит к тому, что вызываемые приложения вида "/fcgi-bin/app.fpl" ищутся в
файлах "/var/www/fcgi-binapp.fpl" (без слэша).

Steps to Reproduce:
1. поместить в /var/www/fcgi-bin файл app.fpl
2. вызвать http://127.0.0.1//fcgi-bin/app.fpl
3. посмотреть в error_log ;-)


Expected Results:  
Замена алиаса на корректный (с "/" в конце).
Alias /fcgi-bin/ "/var/www/fcgi-bin/"
------- Comment #1 From 2004-03-05 23:43:03 -------
Я же Вам отдал mod_fastcgi. Заливайте!
------- Comment #2 From 2005-10-30 18:51:59 -------
Я так понимаю сейчас пакет осиротевший?..
------- Comment #3 From 2006-09-27 17:18:37 -------
Да, но в сизифе.  Текущий вроде как 2.4.2: http://www.fastcgi.com/dist/
------- Comment #4 From 2006-12-17 16:43:46 -------
* Wed Nov 02 2005 Stanislav Ievlev <inger@altlinux.org> 2.2.12-alt2.1
- fixed default config

(там теперь %define fastcgi_bindir %apache_contentdir/fcgi-bin/ -- а вообще
взялся бы ты, Мишка, за этот пакет)